---
id: terraform
title: Terraform Context
sidebar_label: Terraform
---

## What

Display the currently active [Terraform][terraform] Workspace name.

## Sample Configuration

import Config from "@site/src/components/Config.js";

<Config
  data={{
    type: "terraform",
    style: "powerline",
    powerline_symbol: "\uE0B0",
    foreground: "#000000",
    background: "#ebcc34",
    template: " \ue69a {{.WorkspaceName}}",
  }}
/>

## Options

| Name            |   Type    |   Default   | Description                                                                        |
| --------------- | :-------: | :---------: | ---------------------------------------------------------------------------------- |
| `fetch_version` | `boolean` |   `false`   | fetch the version information from `versions.tf`, `main.tf` or `terraform.tfstate` |
| `command`       | `string`  | `terraform` | the command(s) to run, allows support for `tofu`                                   |

## Template ([info][templates])

:::note default template

```template
 {{ .WorkspaceName }}{{ if .Version }} {{ .Version }}{{ end }}
```

:::

### Properties

| Name             | Type     | Description                                       |
| ---------------- | -------- | ------------------------------------------------- |
| `.WorkspaceName` | `string` | is the current workspace name                     |
| `.Version`       | `string` | terraform version (set `fetch_version` to `true`) |

[templates]: /docs/configuration/templates
[terraform]: https://developer.hashicorp.com/terraform
